List game events
Lists the recorded events for a game the key owner may view (their own, one they participate in, a friend’s, or a public game), oldest first.
GET
/games/{id}/eventsAuthorization
x-api-keyAPI key · headerrequiredA user (dp_) or organization (dp_org_) API key with read scopes.
Path parameters
idstringrequiredThe entity id.
Query parameters
afterstringOpaque cursor from the previous page's paging.nextCursor.
limitintegerNumber of items to return per page.
min 1 · max 50 · default: 20
Responses
200
A page of game events.
itemsGameEvent[]requiredShow propertiesHide properties
Array of
GameEventseqintegerrequiredmin 0 · max 9007199254740991
typestringrequiredpayloadobjectrequiredcreatedAtstringrequiredpagingPagingrequiredShow propertiesHide properties
nextCursorstring | nullrequired400
Invalid request.
messagestringrequired401
Missing or invalid API key.
messagestringrequired403
The API key is missing a required scope or is the wrong type for this endpoint.
messagestringrequired404
Entity not found.
messagestringrequired429
Rate limit exceeded. See the Retry-After header.
messagestringrequired500
Internal server error.
messagestringrequired502
Failed to load game events.
messagestringrequired